Package org.eclipse.emf.cdo.server.spi.security

## Interface InternalSecurityManager

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IManagedContainerProvider`, `ISecurityManager`, `SecurityItemContainer`, `SecurityItemProvider`

      public interface InternalSecurityManager
      extends ISecurityManager, org.eclipse.net4j.util.container.IManagedContainerProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `InternalSecurityManager.CommitHandler` | If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalSecurityManager.CommitHandler2` | If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `ISecurityManager.RealmOperation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `SYSTEM_USER_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addCommitHandler​(InternalSecurityManager.CommitHandler handler)` |
    `void` | `addSecondaryRepository​(InternalRepository repository)` |
    `InternalSecurityManager.CommitHandler[]` | `getCommitHandlers()` |
    `InternalSecurityManager.CommitHandler2[]` | `getCommitHandlers2()` |
    `java.lang.String` | `getRealmPath()` |
    `InternalRepository[]` | `getSecondaryRepositories()` |
    `void` | `removeCommitHandler​(InternalSecurityManager.CommitHandler handler)` |
    `void` | `removeSecondaryRepository​(InternalRepository repository)` |
    `void` | `setRepository​(InternalRepository repository)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainerProvider

      `getContainer`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.security.ISecurityManager

      `getRealm, getRepository, modify, modify, modifyWithInfo, read`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemContainer

      `addGroup, addRole, addUser, addUser, addUser, removeGroup, removeRole, removeUser, setPassword`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityItemProvider

      `getGroup, getRole, getUser`

- - ### Method Detail

    - #### setRepository

          void setRepository​(InternalRepository repository)

    - #### getSecondaryRepositories

          InternalRepository[] getSecondaryRepositories()

      Specified by:
        `getSecondaryRepositories` in interface `ISecurityManager`
      Since:
        4.6

    - #### addSecondaryRepository

          void addSecondaryRepository​(InternalRepository repository)

      Since:
        4.6

    - #### removeSecondaryRepository

          void removeSecondaryRepository​(InternalRepository repository)

      Since:
        4.6

    - #### getRealmPath

          java.lang.String getRealmPath()

    - #### getCommitHandlers

          InternalSecurityManager.CommitHandler[] getCommitHandlers()

    - #### getCommitHandlers2

          InternalSecurityManager.CommitHandler2[] getCommitHandlers2()

      Since:
        4.3

    - #### addCommitHandler

          void addCommitHandler​(InternalSecurityManager.CommitHandler handler)

    - #### removeCommitHandler

          void removeCommitHandler​(InternalSecurityManager.CommitHandler handler)